# GET /customers/{customer_id}/businesses

**List businesses for a customer**

Returns a paginated list of businesses for a customer. Use the query parameters to page through results.

By default, Paddle returns businesses that are `active`. Use the `status` query parameter to return businesses that are archived.

**Required permissions:** `business.read`

## Path parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `customer_id` | string | required | Paddle ID of the customer entity to work with. (pattern: `^ctm_[a-z\d]{26}$`) |

## Query parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `id` | array | optional | Return only the IDs specified. Use a comma-separated list to get multiple entities. |
| `after` | string | optional | Return entities after the specified Paddle ID when working with paginated endpoints. Used in the `meta.pagination.next` URL in responses for list operations. |
| `per_page` | integer | optional | Set how many entities are returned per page. Paddle returns the maximum number of results if a number greater than the maximum is requested. Check `meta.pagination.per_page` in the response to see how many were returned.

Default: `50`; Maximum: `200`. (Max: 200) |
| `order_by` | string | optional | Order returned entities by the specified field and direction (`[ASC]` or `[DESC]`). For example, `?order_by=id[ASC]`.

Valid fields for ordering: `id`. |
| `status` | array | optional | Return entities that match the specified status. Use a comma-separated list to specify multiple status values. |
| `search` | string | optional | Return entities that match a search query. Searches all fields, including contacts, except `status`, `created_at`, and `updated_at`. (Max length: 100) |

## Response (200)

- `data`: array (required)
- `meta`: object (required) — Information about this response.
  - `request_id`: string (required) — Unique ID for the request relating to this response. Provide this when contacting Paddle support about a specific request.
  - `pagination`: object (required) — Keys used for working with paginated results.
    - `per_page`: integer (required) — Number of entities per page for this response. May differ from the number requested if the requested number is greater than the maximum.
    - `next`: string (uri) (required) — URL containing the query parameters of the original request, along with the `after` parameter that marks the starting point of the next page. Always returned, even if `has_more` is `false`.
    - `has_more`: boolean (required) — Whether this response has another page.
    - `estimated_total`: integer — Estimated number of entities for this response.

### Response example

```json
{
  "data": [
    {
      "id": "biz_01hv8j0z17hv4ew8teebwjmfcb",
      "status": "active",
      "customer_id": "ctm_01hv6y1jedq4p1n0yqn5ba3ky4",
      "name": "HighFly LLC.",
      "company_number": "555829503785",
      "tax_identifier": "555810433",
      "contacts": [
        {
          "name": "Blair Lopez",
          "email": "blair@example.com"
        }
      ],
      "custom_data": null,
      "created_at": "2024-04-12T07:05:50.887Z",
      "updated_at": "2024-04-12T07:05:50.887Z",
      "import_meta": null
    },
    {
      "id": "biz_01hv8hkr641vmpwytx38znv56k",
      "status": "active",
      "customer_id": "ctm_01hv6y1jedq4p1n0yqn5ba3ky4",
      "name": "Uplift Inc.",
      "company_number": "555775291485",
      "tax_identifier": "555952383",
      "contacts": [
        {
          "name": "Parker Jones",
          "email": "parker@example.com"
        },
        {
          "name": "Jo Riley",
          "email": "jo@example.com"
        },
        {
          "name": "Jesse Garcia",
          "email": "jo@example.com"
        }
      ],
      "custom_data": {
        "crm_id": "eb9b8d9b-7dd6-48e6-8c39-8557bba5eaa9"
      },
      "created_at": "2024-04-12T06:58:37.892Z",
      "updated_at": "2024-04-12T07:01:03.510528Z",
      "import_meta": null
    }
  ],
  "meta": {
    "request_id": "ec0cc200-3610-4726-a374-a2df142baff8",
    "pagination": {
      "per_page": 50,
      "next": "https://api.paddle.com/customers/ctm_01hv6y1jedq4p1n0yqn5ba3ky4/businesses?after=biz_01hv8hkr641vmpwytx38znv56k",
      "has_more": false,
      "estimated_total": 2
    }
  }
}
```
